Package org.linphone.core

# Enum Class AccountManagerServicesRequest.Type

java.lang.Object
java.lang.Enum<AccountManagerServicesRequest.Type>
org.linphone.core.AccountManagerServicesRequest.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<AccountManagerServicesRequest.Type>`, `Constable`

Enclosing interface:
  AccountManagerServicesRequest

public static enum AccountManagerServicesRequest.Type extends Enum<AccountManagerServicesRequest.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AccountCreationRequestToken`
Asks the account manager to create a request token to be validated in a web
browser (captcha) and that can later be used to create an account creation
token.
`AccountCreationTokenFromAccountCreationRequestToken`
Asks the account manager to consume the account creation request token to
create an account creation token.
`CreateAccountUsingToken`
Uses an account creation token to create the account.
`DeleteAccountAsAdmin`
`DeleteDevice`
Removes an account device.
`GetAccountInfoAsAdmin`
`GetCreationTokenAsAdmin`
`GetDevicesList`
Gets the list of devices for account.
`LinkEmailUsingCode`
Uses the code received by email to confirm the link between an account and an
email address.
`LinkPhoneNumberUsingCode`
Uses the code received by SMS to confirm the link between an account and a
phone number.
`SendAccountCreationTokenByPush`
Asks the account manager to send us an account creation token by push
notification.
`SendEmailLinkingCodeByEmail`
Asks for a code to be sent by email to a given email address to link that
address with an account.
`SendPhoneNumberLinkingCodeBySms`
Asks for a code to be sent by SMS to a given phone number to link that phone
number with an account.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static AccountManagerServicesRequest.Type`
`fromInt(int value)`
`int`
`toInt()`
`static AccountManagerServicesRequest.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccountManagerServicesRequest.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SendAccountCreationTokenByPush

public static final AccountManagerServicesRequest.Type SendAccountCreationTokenByPush
Asks the account manager to send us an account creation token by push
notification.

### AccountCreationRequestToken

public static final AccountManagerServicesRequest.Type AccountCreationRequestToken
Asks the account manager to create a request token to be validated in a web
browser (captcha) and that can later be used to create an account creation
token.

### AccountCreationTokenFromAccountCreationRequestToken

public static final AccountManagerServicesRequest.Type AccountCreationTokenFromAccountCreationRequestToken
Asks the account manager to consume the account creation request token to
create an account creation token.

### CreateAccountUsingToken

public static final AccountManagerServicesRequest.Type CreateAccountUsingToken
Uses an account creation token to create the account.

### SendPhoneNumberLinkingCodeBySms

public static final AccountManagerServicesRequest.Type SendPhoneNumberLinkingCodeBySms
Asks for a code to be sent by SMS to a given phone number to link that phone
number with an account.

### LinkPhoneNumberUsingCode

public static final AccountManagerServicesRequest.Type LinkPhoneNumberUsingCode
Uses the code received by SMS to confirm the link between an account and a
phone number.

### SendEmailLinkingCodeByEmail

public static final AccountManagerServicesRequest.Type SendEmailLinkingCodeByEmail
Asks for a code to be sent by email to a given email address to link that
address with an account.

### LinkEmailUsingCode

public static final AccountManagerServicesRequest.Type LinkEmailUsingCode
Uses the code received by email to confirm the link between an account and an
email address.

### GetDevicesList

public static final AccountManagerServicesRequest.Type GetDevicesList
Gets the list of devices for account.

### DeleteDevice

public static final AccountManagerServicesRequest.Type DeleteDevice
Removes an account device.

### GetCreationTokenAsAdmin

public static final AccountManagerServicesRequest.Type GetCreationTokenAsAdmin

### GetAccountInfoAsAdmin

public static final AccountManagerServicesRequest.Type GetAccountInfoAsAdmin

### DeleteAccountAsAdmin

public static final AccountManagerServicesRequest.Type DeleteAccountAsAdmin

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static AccountManagerServicesRequest.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AccountManagerServicesRequest.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static AccountManagerServicesRequest.Type fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()